FROM ubuntu:plucky

RUN apt-get update && apt-get install -y --no-install-recommends \
    python3 python3-pip \
    libasound2-dev \
    libpulse-dev \
    libudev-dev \
    libwayland-dev \
    wayland-protocols \
    libxkbcommon-dev \
    libx11-dev \
    libxext-dev \
    libxrandr-dev \
    libxcursor-dev \
    libxi-dev \
    libxinerama-dev \
    libxss-dev \
    libegl1-mesa-dev \
    libgl1-mesa-dev \
    cmake \
    ninja-build \
    git \
    build-essential \
    binutils \
    mold \
    pkg-config \
    meson \
    ccache \
    mingw-w64 \
    wine \
    npm nodejs zip && \
    rm -rf /var/lib/apt/lists/*
